cURL
curl --request POST \ --url https://api.embedreach.com/api/channel/senders \ --header 'Content-Type: application/json' \ --data ' { "channelAccountId": "<string>", "channelSenderMetadata": { "type": "email", "userPart": "<string>", "emailReplyTo": "<string>", "emailFromName": "<string>" }, "name": "<string>" } '
{ "success": true, "message": "<string>", "data": { "id": "<string>", "channelAccountId": "<string>", "name": "<string>", "channelSenderMetadata": { "type": "email", "userPart": "<string>", "emailReplyTo": "<string>", "emailFromName": "<string>", "from": "<string>", "messageServiceSid": "<string>", "friendlyName": "<string>" } } }
Create a new channel sender
If using a platform scoped JWT, you can pass in a header to impersonate a specific tenant to impersonate the request as.
Show child attributes
email
The user part of the email (e.g. {userPart}@domain.com)
The email reply to of the channel sender
The email from name of the channel sender. This will default to the business name if not provided.
Optional friendly name of the channel sender
Status 200 response
sms